/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.cat.glossary.core;

import java.util.ArrayList;
import java.util.List;

/**
 * グロッサリー・ドライバを管理するクラス。
 */
public class BentenGlossaryDriverManager {
	protected static final List<BentenGlossaryDriver> fDriverList = new ArrayList<BentenGlossaryDriver>();

	/**
	 * ドライバを登録します。
	 * 
	 * @param driver
	 */
	public static void registerDriver(final BentenGlossaryDriver driver) {
		// TODO 各種前処理が未実装。

		fDriverList.add(driver);
	}

	/**
	 * ドライバーを登録解除します。
	 * 
	 * @param driver
	 */
	public static void deregisterDriver(final BentenGlossaryDriver driver) {
		// TODO 各種前処理が未実装。

		fDriverList.remove(driver);
	}

	public static BentenGlossaryDriver[] getDrivers() {
		final BentenGlossaryDriver[] drivers = new BentenGlossaryDriver[fDriverList.size()];
		for (int index = 0; index < fDriverList.size(); index++) {
			drivers[index] = fDriverList.get(index);
		}
		return drivers;
	}
}
