/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.cat.glossary.core;

import java.util.List;

/**
 * グロッサリー・エンジンをあらわすインタフェース。
 */
public interface BentenGlossaryEngine {
	/**
	 * グロッサリーのロード。
	 */
	void load();

	/**
	 * グロッサリーのアンロード。
	 */
	void unload();

	/**
	 * 用語集を検索して用語エントリーのリストを取得します。
	 * 
	 * @param search
	 *            ターゲット
	 * @return 用語エントリーのリスト
	 */
	List<BentenGlossarySearchResult> search(String search);
}
